build issue with Rhino

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

build issue with Rhino

Peter Kovacs-3
I have following Issue. Does anyone know what to do?

Latest Version of Rhino is 1.7.9 we use 1.7.3 maybe I can work around by
updating?

Any advises?

The Error Message I recieve:

compile-most:
    [javac] Compiling 209 source files to
/home/legine/workspace/ApacheOpenOffice/gitbox/main/rhino/unxlngx6.pro/misc/build/rhino1_7R3/build/classes
    [javac] warning: [options] bootstrap class path not set in
conjunction with -source 5
    [javac] error: Source option 5 is no longer supported. Use 6 or later.
    [javac] error: Target option 1.5 is no longer supported. Use 1.6 or
later.

BUILD FAILED
/home/legine/workspace/ApacheOpenOffice/gitbox/main/rhino/unxlngx6.pro/misc/build/rhino1_7R3/build.xml:75:
The following error occurred while executing this line:
/home/legine/workspace/ApacheOpenOffice/gitbox/main/rhino/unxlngx6.pro/misc/build/rhino1_7R3/src/build.xml:68:
Compile failed; see the compiler error output for details.



All the Best

Peter


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: build issue with Rhino

Damjan Jovanovic
Our minimum Java version has been 1.7 for a while now.

Rhino's version is set in:
main/rhino/<platform>/misc/build/rhino1_7R3/build.properties

Damjan

On Sun, Aug 11, 2019 at 10:03 PM Peter Kovacs <[hidden email]> wrote:

> I have following Issue. Does anyone know what to do?
>
> Latest Version of Rhino is 1.7.9 we use 1.7.3 maybe I can work around by
> updating?
>
> Any advises?
>
> The Error Message I recieve:
>
> compile-most:
>     [javac] Compiling 209 source files to
> /home/legine/workspace/ApacheOpenOffice/gitbox/main/rhino/
> unxlngx6.pro/misc/build/rhino1_7R3/build/classes
>     [javac] warning: [options] bootstrap class path not set in
> conjunction with -source 5
>     [javac] error: Source option 5 is no longer supported. Use 6 or later.
>     [javac] error: Target option 1.5 is no longer supported. Use 1.6 or
> later.
>
> BUILD FAILED
> /home/legine/workspace/ApacheOpenOffice/gitbox/main/rhino/
> unxlngx6.pro/misc/build/rhino1_7R3/build.xml:75:
> The following error occurred while executing this line:
> /home/legine/workspace/ApacheOpenOffice/gitbox/main/rhino/
> unxlngx6.pro/misc/build/rhino1_7R3/src/build.xml:68:
> Compile failed; see the compiler error output for details.
>
>
>
> All the Best
>
> Peter
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>